<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/tssi_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/03/84  tssi_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The tssi_ <span class="textRainbow_lv0_p0">(</span>translator storage system interface<span class="textRainbow_lv0_p0">)</span> subroutine simplifies
<span id="L4" class="LineNr">  4 </span>the way the language translators use the storage system.
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>Entry points in tssi_:
<span id="L8" class="LineNr">  8 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>:Entry:  get_segment:  02/03/84 tssi_$get_segment
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Function:  This entry point returns a pointer to a specified segment.
<span id="L15" class="LineNr"> 15 </span>The ACL on the segment is rw for the current user.  If an ACL must be
<span id="L16" class="LineNr"> 16 </span>replaced to do this, aclinfo_ptr is returned pointing to information to
<span id="L17" class="LineNr"> 17 </span>be used in resetting the ACL.
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>Syntax:
<span id="L21" class="LineNr"> 21 </span>declare tssi_$get_segment entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L22" class="LineNr"> 22 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>call tssi_$get_segment <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> seg_ptr<span class="textRainbow_lv0_o0">,</span> aclinfo_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L24" class="LineNr"> 24 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>Arguments:
<span id="L28" class="LineNr"> 28 </span>dir_name
<span id="L29" class="LineNr"> 29 </span>   is the pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr"> 30 </span>entryname
<span id="L31" class="LineNr"> 31 </span>   is the entryname of the segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr"> 32 </span>seg_ptr
<span id="L33" class="LineNr"> 33 </span>   is a pointer to the segment, or is null if an error is encountered.
<span id="L34" class="LineNr"> 34 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr"> 35 </span>aclinfo_ptr
<span id="L36" class="LineNr"> 36 </span>   is a pointer to ACL information <span class="textRainbow_lv0_p0">(</span>if any<span class="textRainbow_lv0_p0">)</span> needed by the
<span id="L37" class="LineNr"> 37 </span>   tssi_$finish_segment entry point.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L38" class="LineNr"> 38 </span>code
<span id="L39" class="LineNr"> 39 </span>   is a storage system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L40" class="LineNr"> 40 </span>
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>:Entry:  get_file:  02/03/84 tssi_$get_file
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span>
<span id="L45" class="LineNr"> 45 </span>Function: returns a pointer to the specified multisegment file.
<span id="L46" class="LineNr"> 46 </span>Additional components, if necessary, can be accessed using the
<span id="L47" class="LineNr"> 47 </span>msf_manager_$get_ptr entry point <span class="textRainbow_lv0_p0">(</span>see the description of the
<span id="L48" class="LineNr"> 48 </span>msf_manager_ subroutine<span class="textRainbow_lv0_p0">)</span>, with the original segment considered as
<span id="L49" class="LineNr"> 49 </span>component 0.
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>Syntax:
<span id="L53" class="LineNr"> 53 </span>declare tssi_$get_file entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L54" class="LineNr"> 54 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L55" class="LineNr"> 55 </span>call tssi_$get_file <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> seg_ptr<span class="textRainbow_lv0_o0">,</span> aclinfo_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L56" class="LineNr"> 56 </span>     fcb_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L57" class="LineNr"> 57 </span>
<span id="L58" class="LineNr"> 58 </span>
<span id="L59" class="LineNr"> 59 </span>Arguments:
<span id="L60" class="LineNr"> 60 </span>dir_name
<span id="L61" class="LineNr"> 61 </span>   is the pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L62" class="LineNr"> 62 </span>entryname
<span id="L63" class="LineNr"> 63 </span>   is the entryname of the multisegment file.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L64" class="LineNr"> 64 </span>seg_ptr
<span id="L65" class="LineNr"> 65 </span>   is a pointer to component 0 of the file.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L66" class="LineNr"> 66 </span>aclinfo_ptr
<span id="L67" class="LineNr"> 67 </span>   is a pointer to ACL information <span class="textRainbow_lv0_p0">(</span>if any<span class="textRainbow_lv0_p0">)</span> needed by the
<span id="L68" class="LineNr"> 68 </span>   tssi_$finish_file entry point.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L69" class="LineNr"> 69 </span>fcb_ptr
<span id="L70" class="LineNr"> 70 </span>   is a pointer to the file control block needed by the msf_manager_
<span id="L71" class="LineNr"> 71 </span>   subroutine.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L72" class="LineNr"> 72 </span>code
<span id="L73" class="LineNr"> 73 </span>   is a storage system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L74" class="LineNr"> 74 </span>
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>:Entry:  finish_segment:  02/03/84 tssi_$finish_segment
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>Function:  This entry point sets the bit count on the segment after the
<span id="L80" class="LineNr"> 80 </span>translator is finished with it.  It also terminates the segment and
<span id="L81" class="LineNr"> 81 </span>resets the ACL.  See &quot;Notes&quot; below.
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>Syntax:
<span id="L85" class="LineNr"> 85 </span>declare tssi_$finish_segment entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span>
<span id="L86" class="LineNr"> 86 </span>     aligned<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L87" class="LineNr"> 87 </span>call tssi_$finish_segment <span class="textRainbow_lv0_p0">(</span>seg_ptr<span class="textRainbow_lv0_o0">,</span> bc<span class="textRainbow_lv0_o0">,</span> mode<span class="textRainbow_lv0_o0">,</span> aclinfo_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>Arguments:
<span id="L91" class="LineNr"> 91 </span>seg_ptr
<span id="L92" class="LineNr"> 92 </span>   is a pointer to the segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L93" class="LineNr"> 93 </span>bc
<span id="L94" class="LineNr"> 94 </span>   is the bit count of the segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L95" class="LineNr"> 95 </span>mode
<span id="L96" class="LineNr"> 96 </span>   is the access mode to be put on the segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It can be one
<span id="L97" class="LineNr"> 97 </span>   of the following named constants <span class="textRainbow_lv0_p0">(</span>declared in
<span id="L98" class="LineNr"> 98 </span>   access_mode_values.incl.pl1<span class="textRainbow_lv0_p0">)</span>:
<span id="L99" class="LineNr"> 99 </span>      &quot;110&quot;b   RE_ACCESS
<span id="L100" class="LineNr">100 </span>      &quot;101&quot;b   RW_ACCESS
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>aclinfo_ptr
<span id="L104" class="LineNr">104 </span>   is a pointer to the saved ACL information returned by the
<span id="L105" class="LineNr">105 </span>   tssi_$get_segment entry point.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L106" class="LineNr">106 </span>code
<span id="L107" class="LineNr">107 </span>   is a storage system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L108" class="LineNr">108 </span>
<span id="L109" class="LineNr">109 </span>
<span id="L110" class="LineNr">110 </span>Notes: If the segment existed before the call to tssi_$get_segment,
<span id="L111" class="LineNr">111 </span>the ACL is reset to the way it was before the tssi_$get_segment entry
<span id="L112" class="LineNr">112 </span>point was called.  If no ACL existed for the current user, the mode is
<span id="L113" class="LineNr">113 </span>set to &quot;mode&quot; for the current user.  If the segment was created, and
<span id="L114" class="LineNr">114 </span>the &quot;mode&quot; parameter contains the &quot;e&quot; mode, all entries on the
<span id="L115" class="LineNr">115 </span>segment's ACL <span class="textRainbow_lv0_p0">(</span>as derived from the containing directory's Initial ACL<span class="textRainbow_lv0_p0">)</span>
<span id="L116" class="LineNr">116 </span>receive the &quot;e&quot; bit, as well as the other modes specified.  The
<span id="L117" class="LineNr">117 </span>current user, if not specified on the Initial ACL, receives an ACL
<span id="L118" class="LineNr">118 </span>term of &quot;mode&quot; on the segment.  Otherwise, the segment's Initial ACL
<span id="L119" class="LineNr">119 </span>is restored, and, if the current user does not have an ACL term, the
<span id="L120" class="LineNr">120 </span>segment receives an ACL term of &quot;mode&quot; for the user.
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>:Entry:  finish_file:  02/03/84 tssi_$finish_file
<span id="L124" class="LineNr">124 </span>
<span id="L125" class="LineNr">125 </span>
<span id="L126" class="LineNr">126 </span>Function: This entry point sets the bit count on a multisegment file
<span id="L127" class="LineNr">127 </span>after the translator is finished with it.  It also closes the file,
<span id="L128" class="LineNr">128 </span>freeing the file control block.
<span id="L129" class="LineNr">129 </span>
<span id="L130" class="LineNr">130 </span>
<span id="L131" class="LineNr">131 </span>Syntax:
<span id="L132" class="LineNr">132 </span>declare tssi_$finish_file entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>24<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span>
<span id="L133" class="LineNr">133 </span>     aligned<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L134" class="LineNr">134 </span>call tssi_$finish_file <span class="textRainbow_lv0_p0">(</span>fcb_ptr<span class="textRainbow_lv0_o0">,</span> component<span class="textRainbow_lv0_o0">,</span> bc<span class="textRainbow_lv0_o0">,</span> mode<span class="textRainbow_lv0_o0">,</span> aclinfo_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L135" class="LineNr">135 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L136" class="LineNr">136 </span>
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>Arguments:
<span id="L139" class="LineNr">139 </span>fcb_ptr
<span id="L140" class="LineNr">140 </span>   is a pointer to the file control block returned by the
<span id="L141" class="LineNr">141 </span>   tssi_$get_file entry point.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L142" class="LineNr">142 </span>component
<span id="L143" class="LineNr">143 </span>   is the highest-numbered component in the file.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L144" class="LineNr">144 </span>bc
<span id="L145" class="LineNr">145 </span>   is the bit count of the highest-numbered component.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L146" class="LineNr">146 </span>mode
<span id="L147" class="LineNr">147 </span>   is the access mode to be put on the multisegment file.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It
<span id="L148" class="LineNr">148 </span>   can be one of the following named constants <span class="textRainbow_lv0_p0">(</span>declared in
<span id="L149" class="LineNr">149 </span>   access_mode_values.incl.pl1<span class="textRainbow_lv0_p0">)</span>:
<span id="L150" class="LineNr">150 </span>      &quot;110&quot;b   RE_ACCESS
<span id="L151" class="LineNr">151 </span>      &quot;101&quot;b   RW_ACCESS
<span id="L152" class="LineNr">152 </span>
<span id="L153" class="LineNr">153 </span>
<span id="L154" class="LineNr">154 </span>aclinfo_ptr
<span id="L155" class="LineNr">155 </span>   is a pointer to the saved ACL information returned by the
<span id="L156" class="LineNr">156 </span>   tssi_$get_file entry point.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L157" class="LineNr">157 </span>code
<span id="L158" class="LineNr">158 </span>   is a storage system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L159" class="LineNr">159 </span>
<span id="L160" class="LineNr">160 </span>
<span id="L161" class="LineNr">161 </span>:Entry:  clean_up_segment:  02/03/84 tssi_$clean_up_segment
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>
<span id="L164" class="LineNr">164 </span>Function: frees the storage that the tssi_$get_segment entry point
<span id="L165" class="LineNr">165 </span>allocated to save the old ACLs of the segments being translated.  It
<span id="L166" class="LineNr">166 </span>is to be used in case the translation is aborted <span class="textRainbow_lv0_p0">(</span>e.g.<span class="textRainbow_lv0_o0">,</span> by a quit
<span id="L167" class="LineNr">167 </span>signal<span class="textRainbow_lv0_p0">)</span>.
<span id="L168" class="LineNr">168 </span>
<span id="L169" class="LineNr">169 </span>Programs that use the tssi_ subroutine must establish a cleanup
<span id="L170" class="LineNr">170 </span>procedure that calls this entry point.  <span class="textRainbow_lv0_p0">(</span>For a discussion of cleanup
<span id="L171" class="LineNr">171 </span>procedures see the Programmer's Reference Manual.<span class="textRainbow_lv0_p0">)</span> If more than one
<span id="L172" class="LineNr">172 </span>call is made to the tssi_$get_segment entry point, the cleanup
<span id="L173" class="LineNr">173 </span>procedure must make the appropriate call to the tssi_$clean_up_segment
<span id="L174" class="LineNr">174 </span>entry point for each aclinfo_ptr.
<span id="L175" class="LineNr">175 </span>
<span id="L176" class="LineNr">176 </span>
<span id="L177" class="LineNr">177 </span>Syntax:
<span id="L178" class="LineNr">178 </span>declare tssi_$clean_up_segment entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L179" class="LineNr">179 </span>call tssi_$clean_up_segment <span class="textRainbow_lv0_p0">(</span>aclinfo_ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L180" class="LineNr">180 </span>
<span id="L181" class="LineNr">181 </span>
<span id="L182" class="LineNr">182 </span>Arguments:
<span id="L183" class="LineNr">183 </span>aclinfo_ptr
<span id="L184" class="LineNr">184 </span>   is a pointer to the saved ACL information returned by the
<span id="L185" class="LineNr">185 </span>   tssi_$get_segment entry point.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L186" class="LineNr">186 </span>
<span id="L187" class="LineNr">187 </span>
<span id="L188" class="LineNr">188 </span>:Entry:  clean_up_file:  02/03/84 tssi_$clean_up_file
<span id="L189" class="LineNr">189 </span>
<span id="L190" class="LineNr">190 </span>
<span id="L191" class="LineNr">191 </span>Function:  This entry point is the cleanup entry point for multisegment
<span id="L192" class="LineNr">192 </span>files.  In addition to freeing ACLs, it closes the file, freeing the
<span id="L193" class="LineNr">193 </span>file control block.
<span id="L194" class="LineNr">194 </span>
<span id="L195" class="LineNr">195 </span>
<span id="L196" class="LineNr">196 </span>Syntax:
<span id="L197" class="LineNr">197 </span>declare tssi_$clean_up_file entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L198" class="LineNr">198 </span>call tssi_$clean_up_file <span class="textRainbow_lv0_p0">(</span>fcb_ptr<span class="textRainbow_lv0_o0">,</span> aclinfo_ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L199" class="LineNr">199 </span>
<span id="L200" class="LineNr">200 </span>
<span id="L201" class="LineNr">201 </span>Arguments:
<span id="L202" class="LineNr">202 </span>fcb_ptr
<span id="L203" class="LineNr">203 </span>   is a pointer to the file control block returned by the
<span id="L204" class="LineNr">204 </span>   tssi_$get_file entry point.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L205" class="LineNr">205 </span>aclinfo_ptr
<span id="L206" class="LineNr">206 </span>   is a pointer to the saved ACL information returned by the
<span id="L207" class="LineNr">207 </span>   tssi_$get_segment entry point.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
